"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.graph = void 0;
const workspace_tools_1 = require("workspace-tools");
async function graph(cwd) {
    const root = (0, workspace_tools_1.getWorkspaceRoot)(cwd);
    if (!root) {
        throw new Error("This must be called inside a codebase that is part of a JavaScript workspace.");
    }
    const allPackages = (0, workspace_tools_1.getPackageInfos)(root);
    const edges = (0, workspace_tools_1.createPackageGraph)(allPackages, {
        namePatterns: ["@nova/types"],
        includeDependencies: true,
        includeDependents: false,
    });
    const fs = require("fs");
    let output = JSON.stringify(edges);
    fs.writeFileSync("types-dependents-false.js", output);
}
exports.graph = graph;
//# sourceMappingURL=graph.js.map