/// <reference types="node" />
import { Logger } from "./Logger";
import { TaskData } from "./LogEntry";
import { LogLevel } from "./LogLevel";
export declare class TaskLogger {
    private pkg;
    private task;
    logger: Logger;
    constructor(pkg: string, task: string);
    log(level: LogLevel, msg: string, data?: TaskData): void;
    info(msg: string, data?: TaskData): void;
    warn(msg: string, data?: TaskData): void;
    error(msg: string, data?: TaskData): void;
    verbose(msg: string, data?: TaskData): void;
    silly(msg: string, data?: TaskData): void;
    stream(level: LogLevel, input: NodeJS.ReadableStream, data?: TaskData): void;
    getLogs(): import("./LogEntry").LogEntry[];
}
