"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomReporter = void 0;
const path_1 = __importDefault(require("path"));
class CustomReporter {
    constructor(customReporterFilePath) {
        this.customReporterFilePath = customReporterFilePath;
    }
    log(entry) { }
    summarize(context) {
        try {
            const customReporter = require(path_1.default.isAbsolute(this.customReporterFilePath)
                ? this.customReporterFilePath
                : path_1.default.join(process.cwd(), this.customReporterFilePath));
            customReporter.summarize(context);
        }
        catch (e) { }
    }
}
exports.CustomReporter = CustomReporter;
//# sourceMappingURL=CustomReporter.js.map